threads
12 个接口
fetch post commentsfetch post detailfetch post detail v2fetch user infofetch user info by idfetch user postsfetch user repliesfetch user repostssearch postssearch profilessearch recentsearch top
GETfetch post comments
GET https://dkai.store/api/v1/threads/web/fetch_post_comments2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
post_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/fetch_post_comments?post_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post detail
GET https://dkai.store/api/v1/threads/web/fetch_post_detail2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
post_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/fetch_post_detail?post_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post detail v2
GET https://dkai.store/api/v1/threads/web/fetch_post_detail_v22 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/fetch_post_detail_v2'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info
GET https://dkai.store/api/v1/threads/web/fetch_user_info2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/fetch_user_info?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info by id
GET https://dkai.store/api/v1/threads/web/fetch_user_info_by_id2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/fetch_user_info_by_id?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user posts
GET https://dkai.store/api/v1/threads/web/fetch_user_posts2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/fetch_user_posts?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user replies
GET https://dkai.store/api/v1/threads/web/fetch_user_replies2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/fetch_user_replies?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user reposts
GET https://dkai.store/api/v1/threads/web/fetch_user_reposts2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/fetch_user_reposts?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch posts
GET https://dkai.store/api/v1/threads/web/search_posts2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/search_posts?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch profiles
GET https://dkai.store/api/v1/threads/web/search_profiles2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/search_profiles?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch recent
GET https://dkai.store/api/v1/threads/web/search_recent2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/search_recent?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch top
GET https://dkai.store/api/v1/threads/web/search_top2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/threads/web/search_top?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。